CREATE TABLE exm_accom_policies (
    ACCOM_POLICY_ID              NUMBER(18, 0),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    POLICY_NAME                  VARCHAR2(240)    NOT NULL,
    DESCRIPTION                  VARCHAR2(960),
    STATUS                       VARCHAR2(120),
    CURRENCY_OPTION_CODE         VARCHAR2(120),
    CURRENCY_CODE                VARCHAR2(60) ,
    ENABLED_SEASON_RATE_FLAG     VARCHAR2(4)  ,
    ENABLED_ROLE_FLAG            VARCHAR2(4)  ,
    POLICY_ROLE_CODE             VARCHAR2(120),
    ENABLED_LOCATION_FLAG        VARCHAR2(4)  ,
    LOCATION_TYPE_CODE           VARCHAR2(120),
    ZONE_TYPE_CODE               VARCHAR2(120),
    POLICY_ENFORCEMENT_CODE      VARCHAR2(120),
    POLICY_VIOLATION_FLAG        VARCHAR2(4)  ,
    WARNING_TOLERANCE            NUMBER       ,
    DISP_WARNING_TO_USER_FLAG    VARCHAR2(4)  ,
    PREVENT_SUBMISSION_FLAG      VARCHAR2(4)  ,
    ERROR_TOLERANCE              NUMBER       ,
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE_CHAR1              VARCHAR2(600),
    ATTRIBUTE_CHAR2              VARCHAR2(600),
    ATTRIBUTE_CHAR3              VARCHAR2(600),
    ATTRIBUTE_CHAR4              VARCHAR2(600),
    ATTRIBUTE_CHAR5              VARCHAR2(600),
    ATTRIBUTE_CHAR6              VARCHAR2(600),
    ATTRIBUTE_CHAR7              VARCHAR2(600),
    ATTRIBUTE_CHAR8              VARCHAR2(600),
    ATTRIBUTE_CHAR9              VARCHAR2(600),
    ATTRIBUTE_CHAR10             VARCHAR2(600),
    ATTRIBUTE_CHAR11             VARCHAR2(600),
    ATTRIBUTE_CHAR12             VARCHAR2(600),
    ATTRIBUTE_CHAR13             VARCHAR2(600),
    ATTRIBUTE_CHAR14             VARCHAR2(600),
    ATTRIBUTE_CHAR15             VARCHAR2(600),
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    ATTRIBUTE_DATETIME1          TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2          TIMESTAMP(6) ,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    RATES_SOURCE_CODE            VARCHAR2(120),
    ENABLED_GENDER_FLAG          VARCHAR2(4)  ,
    ACCOM_POLICY_ID              NUMBER(18, 0),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    POLICY_NAME                  VARCHAR2(240)    NOT NULL,
    DESCRIPTION                  VARCHAR2(960),
    STATUS                       VARCHAR2(120),
    CURRENCY_OPTION_CODE         VARCHAR2(120),
    CURRENCY_CODE                VARCHAR2(60) ,
    ENABLED_SEASON_RATE_FLAG     VARCHAR2(4)  ,
    ENABLED_ROLE_FLAG            VARCHAR2(4)  ,
    POLICY_ROLE_CODE             VARCHAR2(120),
    ENABLED_LOCATION_FLAG        VARCHAR2(4)  ,
    LOCATION_TYPE_CODE           VARCHAR2(120),
    ZONE_TYPE_CODE               VARCHAR2(120),
    POLICY_ENFORCEMENT_CODE      VARCHAR2(120),
    POLICY_VIOLATION_FLAG        VARCHAR2(4)  ,
    WARNING_TOLERANCE            NUMBER       ,
    DISP_WARNING_TO_USER_FLAG    VARCHAR2(4)  ,
    PREVENT_SUBMISSION_FLAG      VARCHAR2(4)  ,
    ERROR_TOLERANCE              NUMBER       ,
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE_CHAR1              VARCHAR2(600),
    ATTRIBUTE_CHAR2              VARCHAR2(600),
    ATTRIBUTE_CHAR3              VARCHAR2(600),
    ATTRIBUTE_CHAR4              VARCHAR2(600),
    ATTRIBUTE_CHAR5              VARCHAR2(600),
    ATTRIBUTE_CHAR6              VARCHAR2(600),
    ATTRIBUTE_CHAR7              VARCHAR2(600),
    ATTRIBUTE_CHAR8              VARCHAR2(600),
    ATTRIBUTE_CHAR9              VARCHAR2(600),
    ATTRIBUTE_CHAR10             VARCHAR2(600),
    ATTRIBUTE_CHAR11             VARCHAR2(600),
    ATTRIBUTE_CHAR12             VARCHAR2(600),
    ATTRIBUTE_CHAR13             VARCHAR2(600),
    ATTRIBUTE_CHAR14             VARCHAR2(600),
    ATTRIBUTE_CHAR15             VARCHAR2(600),
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    ATTRIBUTE_DATETIME1          TIMESTAMP(6) ,
    ATTRIBUTE_DATETIME2          TIMESTAMP(6) ,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    RATES_SOURCE_CODE            VARCHAR2(120),
    ENABLED_GENDER_FLAG          VARCHAR2(4)  ,
    CONSTRAINT pk_exm_accom_policies PRIMARY KEY (ACCOM_POLICY_ID, ACCOM_POLICY_ID)
);
